param(
    [string]$NuGetPackageRoot,
    [string]$ProjectDir
)

if ($Env:OS -and $Env:OS -like '*Windows*') {

    $makensis  = Join-Path $NuGetPackageRoot 'nsis-tool\3.0.8\tools\makensis.exe'
    $installer = Join-Path $ProjectDir      'scripts\installer.nsi'

    Write-Verbose "Using makensis at $makensis"
    & $makensis $installer
}
else {
    # Only runs when building on Linux/macOS with makensis in PATH
    & makensis "$ProjectDir/scripts/installer.nsi"
}
